# $Revision: 1.136 $, $Date: 2009/03/15 17:20:40 $
Summary:	VTE terminal widget library
Summary(pl.UTF-8):	Biblioteka z kontrolką terminala VTE
Name:		vte
Version:	0.20.0
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vte/0.20/%{name}-%{version}.tar.bz2
# Source0-md5:	12dde859bc98e039336baff6e9e6b15b
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	gtk-doc-automake
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	python-pygtk-devel >= 2:2.12.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(pre):	utempter
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The vte package contains a terminal widget for GTK+. It's used by
gnome-terminal among other programs.

%description -l pl.UTF-8
Ten pakiet zawiera kontrolkę terminala dla GTK+. Jest używany przez
gnome-terminal oraz inne programy.

%package devel
Summary:	Headers for VTE
Summary(pl.UTF-8):	Pliki nagłówkowe VTE
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2-devel >= 2:2.14.0
Requires:	ncurses-devel
Conflicts:	gnome-libs-devel < 1.4.1.2

%description devel
The vte package contains a terminal widget for GTK+. It's used by
gnome-terminal among other programs.

You should install the vte-devel package if you would like to compile
applications that use the vte terminal widget. You do not need to
install vte-devel if you just want to use precompiled applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do kompilowania programów używających vte.

%package static
Summary:	Static VTE library
Summary(pl.UTF-8):	Statyczna biblioteka VTE
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	gnome-libs-static < 1.4.1.2

%description static
Static version of VTE libraries.

%description static -l pl.UTF-8
Statyczna wersja bibliotek VTE.

%package -n python-vte
Summary:	Python VTE module
Summary(pl.UTF-8):	Moduł VTE dla pythona
Group:		Libraries/Python
%pyrequires_eq	python-libs
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygtk-gtk >= 2:2.12.0

%description -n python-vte
Python VTE library.

%description -n python-vte -l pl.UTF-8
Biblioteka VTE dla pythona.

%package -n python-vte-devel
Summary:	Development files for VTE Python bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pythona do VTE
Group:		Development/Languages/Python
Requires:	%{name}-devel = %{version}-%{release}
Requires:	python-vte = %{version}-%{release}

%description -n python-vte-devel
Development files for VTE Python bindings.

%description -n python-vte-devel -l pl.UTF-8
Pliki programistyczne wiązań Pythona do VTE.

%package apidocs
Summary:	VTE API documentation
Summary(pl.UTF-8):	Dokumentacja API VTE
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
VTE API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API VTE.

%prep
%setup -q

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
cd gnome-pty-helper
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
cd ..
%configure \
	--enable-gtk-doc \
	--with-default-emulation=xterm \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/gtk-2.0/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f vte.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_bindir}/vte
%attr(755,root,root) %{_libdir}/libvte.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvte.so.9
%dir %{_libdir}/vte
%attr(755,root,root) %{_libdir}/vte/*
%attr(2755,root,utmp) %{_libdir}/gnome-pty-helper
%{_datadir}/vte

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvte.so
%{_libdir}/libvte.la
%{_includedir}/vte
%{_pkgconfigdir}/vte.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvte.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/vte

%files -n python-vte
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gtk-2.0/vtemodule.so

%files -n python-vte-devel
%defattr(644,root,root,755)
%{_datadir}/pygtk/2.0/defs/*.defs
%{_pkgconfigdir}/pyvte.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vte.spec,v $
Revision 1.136  2009/03/15 17:20:40  megabajt
- updated to 0.20.0
- removed -link.patch (fixed upstream)
- removed obsolete configure options and glx bcond
- added python-vte-devel package

Revision 1.135  2009/03/13 22:35:52  hawk
- release 4

Revision 1.134  2008/11/07 17:09:24  megabajt
- release 3

Revision 1.133  2008/10/05 16:39:15  megabajt
- release 2

Revision 1.132  2008/09/28 14:16:32  megabajt
- updated to 0.17.4; merged changes from DEVEL

Revision 1.131.2.3  2008/09/13 11:15:35  patrys
- 0.17.3
- drop keys patch (works fine with all testes machines and terminals, if needed, open a bug upstream)

Revision 1.131.2.2  2008/08/17 19:09:09  megabajt
- updated to 0.17.2

Revision 1.131.2.1  2008/08/05 13:10:23  patrys
- 0.17.1

Revision 1.131  2008-06-05 11:05:49  megabajt
- updated to 0.16.14

Revision 1.130  2008-03-12 11:39:36  patrys
- 0.16.13

Revision 1.129  2008-01-10 09:08:42  megabajt
- updated to 0.16.12

Revision 1.128  2007-12-18 08:51:21  megabajt
- updated to 0.16.11

Revision 1.127  2007-12-11 20:00:14  megabajt
- updated to 0.16.10

Revision 1.126  2007-11-10 12:44:41  megabajt
- sr@Latn -> sr@latin; release 2

Revision 1.125  2007/09/18 13:04:26  megabajt
- updated to 0.16.9

Revision 1.124  2007/08/14 21:52:58  megabajt
- updated to 0.16.8

Revision 1.123  2007/06/19 13:11:28  megabajt
- updated to 0.16.6

Revision 1.122  2007/06/08 11:21:32  megabajt
- updated to 0.16.5

Revision 1.121  2007/05/29 19:15:13  megabajt
- updated to 0.16.4

Revision 1.120  2007/04/27 17:34:40  megabajt
- updated to 0.16.3

Revision 1.119  2007/04/24 15:04:22  megabajt
- updated to 0.16.2

Revision 1.118  2007/04/09 20:57:35  megabajt
- updated to 0.16.1

Revision 1.117  2007/03/19 12:27:09  megabajt
- https://bugs.launchpad.net/ubuntu/+source/vte/+bug/91985 fixed by vte-branch.diff
- unfortunately, #415381 is still open
- release 2

Revision 1.116  2007/03/17 18:36:57  megabajt
- added branch.diff which fixes #417301, #417652, #418588, #416635, #416634, #418910, #418073, #415381 vte bugs
- release 1.5; needs testing

Revision 1.115  2007/03/16 20:02:30  czarny
- bug TODO added
- BR gtk-doc-autoconf added from frech chroot build

Revision 1.114  2007/03/13 14:08:33  megabajt
- release 1

Revision 1.113  2007/03/13 09:39:29  cieciwa
- updated tp 0.16.0,
- release 0.1.

Revision 1.112.2.1  2007/03/02 14:47:14  megabajt
- updated to 0.15.6

Revision 1.112  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.111  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.110  2007/01/31 20:08:52  megabajt
- up to 0.14.2

Revision 1.109  2007/01/23 15:25:05  megabajt
- release 2

Revision 1.108  2006/12/10 11:28:34  qboosh
- added link patch instead of LIBS hack
- updated BRs, more verbose files

Revision 1.107  2006/10/05 22:18:18  grzegol
- package ug lang files (languages added in glibc-2.5)

Revision 1.106  2006/10/03 10:59:57  grzegol
- 0.14.1

Revision 1.105  2006/09/06 20:40:11  grzegol
- 0.14.0

Revision 1.104  2006/08/28 05:36:29  freetz
- rel.2 for reuild with new python

Revision 1.103  2006/08/25 16:41:36  freetz
- 0.13.7

Revision 1.102  2006/08/21 16:14:20  freetz
- 0.13.6, updated deps

Revision 1.101  2006/08/10 16:48:56  freetz
- rel.2, apidocs subpkg

Revision 1.100  2006/08/01 17:33:44  freetz
- updated changelog

Revision 1.99  2006/08/01 17:29:06  freetz
- 0.13.5, fixed --as-needed build (thx to sparky for s uggestion how to fix
  it), re-enabled patch0 it seems to work now

Revision 1.98  2006/07/26 16:59:03  freetz
- disable keys.patch - causes gnome-terminal breakage, rel.2

Revision 1.97  2006/07/25 17:34:21  freetz
- 0.13.4, disable --as-needed support

Revision 1.96  2006/07/14 19:54:16  freetz
- 0.13.3, updated deps (no --as-needed support, it breaks the build)

Revision 1.95  2006/07/09 19:35:22  pluto
- release 2 for kill libpng12.la deps.

Revision 1.94  2006/06/12 19:46:04  freetz
- 0.13.2

Revision 1.93  2006/06/09 21:05:14  freetz
- 0.13.1, GNOME 2.15.x deps, dropped obsolete nozvt patch, remove
  unsupported locale

Revision 1.92  2006/06/06 12:41:07  qboosh
- merged update to 0.12.2 from AC-branch

Revision 1.84.2.2  2006/05/31 19:14:32  freetz
- 0.12.2, GNOME 2.14.2 deps

Revision 1.84.2.1  2006/05/15 14:33:50  baggins
- merged from HEAD

Revision 1.91  2006/04/28 16:20:56  freetz
- 0.12.1

Revision 1.90  2006/03/13 08:13:32  freetz
- 0.12.0

Revision 1.89  2006/03/08 22:52:40  freetz
- 0.11.21

Revision 1.88  2006/03/03 12:35:21  charles
- BR s/python/rpm-pythonprov/

Revision 1.87  2006/02/26 15:24:26  freetz
- 0.11.20

Revision 1.86  2006/02/25 09:54:21  freetz
- 0.11.19

Revision 1.85  2006/02/11 21:09:34  freetz
- 0.11.18

Revision 1.84  2006/01/29 20:04:48  freetz
- 0.11.17, pkgconfig fix obsoleted

Revision 1.83  2006/01/28 15:09:04  charles
- added %{rpmcflags} to CFLAGS

Revision 1.82  2006/01/28 08:23:32  freetz
- rel.2

Revision 1.81  2006/01/27 17:29:36  wolf
- unbreak pkgconfig

Revision 1.80  2005/12/14 10:50:13  freetz
- 0.11.16 - many optimizations and hugev performance improvement with a11y
  enabled

Revision 1.79  2005/08/23 10:28:32  paladine
- updated to 0.11.15
- removed atktextselection patch

Revision 1.78  2005/08/03 16:24:21  freetz
- back to rel.1 (glib bug http://bugzilla.gnome.org/show_bug.cgi?id=312402)

Revision 1.77  2005/08/03 14:19:04  freetz
- broken, rel. down to 0.1

Revision 1.76  2005/08/03 08:53:52  aflinta
- up to version 0.11.14

Revision 1.75  2005/06/26 00:39:04  zbyniu
- rel 2, STBR

Revision 1.74  2005/06/26 00:29:34  zbyniu
- R: ncurses-devel in -devel

Revision 1.73  2005/04/17 20:40:01  paladine
- BR: rpmbuild(macros) >= 1.197

Revision 1.72  2005/04/15 19:35:36  freetz
- updated to 0.11.13, removed outdated tyes patch, updated atkselection
  patch, bcond desc fix, other patches are back too

Revision 1.71  2005/03/28 00:28:41  havner
- rel 1

Revision 1.70  2005/03/08 20:34:20  qboosh
- reverted; xft-devel is provided by X.org (or libXft from xlibs)

Revision 1.69  2005/03/07 08:27:24  charles
- rm BR: xft-devel (X11-devel conflict)

Revision 1.68  2005/03/07 08:15:25  charles
- BR: gettext-devel, ncurses-devel, pkgconfig, python
- rm obsolete BR: rpm-pythonprov

Revision 1.67  2005/03/05 18:31:32  aflinta
- up to version 0.11.12, needs testing, do we need stil these patches?

Revision 1.66  2005/01/09 17:39:03  saq
- missing pyreqeq, release 11

Revision 1.65  2004/11/27 18:52:09  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.64  2004/11/14 21:47:54  havner
- rel up for rebuild with python-pygtk

Revision 1.63  2004/08/16 15:06:53  havner
- rel 9

Revision 1.62  2004/08/16 14:39:10  havner
- wrong patch level, wrrr

Revision 1.61  2004/08/16 14:23:10  havner
- nozvt patch
- removed BR: libzvt
- rel 7

Revision 1.60  2004/08/16 14:00:27  ankry
- BR: libzvt, rel. 6

Revision 1.59  2004/08/12 18:16:03  krzak
- fixed home end sequence in keys.patch
- rel 5

Revision 1.58  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.57  2004/07/10 21:50:32  jpc
- glx bcond (and turned it off by default - prove please that
  this is is useful and not only an unnecesary dep)

Revision 1.56  2004/06/11 12:45:02  jpc
- rel 4
- STBR (it really gives a huge performance boost)

Revision 1.55  2004/06/10 18:39:58  krzak
- performance.patch - improve vte performance
- rel 3

Revision 1.54  2004/06/10 17:08:07  krzak
- rel 2.
- vte-types-include.patch fix include order
- vte-atktextselection.patch fix AtkText selection stuff

Revision 1.53  2004/05/06 12:49:10  qboosh
- removed obsolete link patch, strict internal deps
- python- R: python-pygtk-gtk
- release 1

Revision 1.52  2004/05/06 11:42:47  aflinta
- up to version 0.11.11, do we still need link.patch? If not, bump release to 1 and STBR

Revision 1.51  2004/02/02 12:08:44  qboosh
- added localenames patch, rename no->nb
- added link patch (link libvte with gtk)
- removed obsolete -lncurses hack, release 3

Revision 1.50  2004/02/01 12:07:54  krzak
- BR: OpenGL-devel
- R: OpenGL-devel for devel package
- rel 2

Revision 1.49  2003/10/15 18:11:10  saq
- BR: gtk-doc

Revision 1.48  2003/08/18 08:09:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.47  2003/08/12 23:54:16  ankry
- cosmetics

Revision 1.46  2003/06/17 05:14:16  aflinta
- version 0.11.10

Revision 1.45  2003/06/03 17:20:51  aflinta
- version 0.11.9

Revision 1.44  2003/06/02 14:00:05  aflinta
- version 0.11.8

Revision 1.43  2003/05/27 12:45:12  trojan
- added Source-md5

Revision 1.42  2003/05/25 06:27:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/05/20 10:07:08  aflinta
- version 0.11.7

Revision 1.40  2003/05/06 20:50:36  aflinta
- version 0.11.6

Revision 1.39  2003/04/30 20:22:52  aflinta
- version 0.11.5

Revision 1.38  2003/04/25 08:28:01  aflinta
- updated to version 0.11.4

Revision 1.37  2003/04/22 16:21:50  aflinta
- updated to version 0.11.3

Revision 1.36  2003/04/15 06:47:36  aflinta
- updated to version 0.11.1

Revision 1.35  2003/04/06 13:57:59  grzegol
- added sigsegv patch (fixes sigsegv of gnome-terminal on quit)
- rel. 2

Revision 1.34  2003/03/28 06:19:05  adgor
- fixed br

Revision 1.33  2003/03/26 23:07:43  aflinta
- updated to version 0.11.0

Revision 1.32  2003/03/04 20:19:15  aflinta
- updated to version 0.10.26

Revision 1.31  2003/03/04 10:12:44  aflinta
- updated BR

Revision 1.30  2003/03/03 09:41:03  qrczak
- vte-keys.patch: fix Home & End in the default mode (but I don't know
  what they should generate in other modes), map Shift-F1 to F11 ...
  Shift-F10 to F20.
- Release 2.

Revision 1.29  2003/02/25 05:50:34  aflinta
- updated to version 0.10.25

Revision 1.28  2003/02/22 12:27:46  aflinta
- updated to version 0.10.23

Revision 1.27  2003/02/20 15:40:30  aflinta
- updated to version 0.10.22

Revision 1.26  2003/02/20 06:30:44  aflinta
- updated to version 0.10.21

Revision 1.25  2003/02/15 09:31:01  trojan
- updated 0.10.20

Revision 1.24  2003/02/13 20:00:18  aflinta
- updated to version 0.10.19

Revision 1.23  2003/02/03 21:35:01  grzegol
- updated to 0.10.17

Revision 1.22  2003/01/31 18:13:27  aflinta
- updated to version 0.10.16

Revision 1.21  2003/01/28 08:44:20  aflinta
- updated to version 0.10.15

Revision 1.20  2003/01/24 11:01:03  aflinta
- updated to version 0.10.14

Revision 1.19  2003/01/20 21:28:57  aflinta
- updated to version 0.10.12

Revision 1.18  2003/01/18 15:50:29  aflinta
- updated to version 0.10.11

Revision 1.17  2003/01/14 19:53:57  aflinta
- finished

Revision 1.16  2003/01/14 19:27:50  aflinta
- started update to version 0.10.10

Revision 1.15  2003/01/06 19:53:13  aflinta
- updated to version 0.10.8

Revision 1.14  2002/12/29 22:28:10  adgor
- Added %{_datadir}/vte to %files

Revision 1.13  2002/12/12 06:25:59  aflinta
- updated to version 0.10.7

Revision 1.12  2002/12/10 23:18:14  aflinta
- updated to version 0.10.6

Revision 1.11  2002/12/07 15:48:06  aflinta
- rebuild with latest Xft
- release 2

Revision 1.10  2002/12/04 16:16:12  wrobell
- changed prefix to /usr
- _gtkdocdir defined in rpm.macros
- removed bad Xft2 patch

Revision 1.9  2002/12/03 08:30:20  aflinta
- updated to version 0.10.5

Revision 1.8  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.7  2002/11/22 11:18:57  wrobell
- clean up
- rel. 1

Revision 1.6  2002/11/21 20:27:24  aflinta
- enabled gtk-doc

Revision 1.5  2002/11/21 18:17:58  wrobell
- removed bogus macros
- gnome-common is not required to build (?)
- fixed file permissions for devel and python packages

Revision 1.4  2002/11/21 18:04:43  aflinta
- python-vte subpackage

Revision 1.3  2002/11/21 16:53:19  wiget
- updated to 0.10.4

Revision 1.2  2002/11/21 16:27:17  wiget
- apply patch0

Revision 1.1  2002/11/08 17:14:03  wiget
- initial version based on libzvt.spec
